We have detected that cookies are not enabled on your browser. Please enable cookies to ensure the proper experience.
Results 1 to 4 of 4

Thread: plugins broken?

  1. #1
    Join Date
    Dec 2010
    Location
    Hugging Gramsfoot 1-shots
    Posts
    768

    plugins broken?

    I can't get any plugins to load/show up on the list except for the examples that Turbine put in.
    I've read and reread the directions on every plugin but that didn't help much.
    I'm mostly after buffbars/palantir plugins like that :/
    I just get...

    Available Plugins:
    #### CombatQuickslots (1.1)
    #### Examples (1.0)
    #### TheOneBag (1.0)
    #### Vitals (1.0)

    And
    Unable to load "manager".
    and same for the other stuff

    I'm probably missing something obvious but I can't see what
    Can anyone help please?

  2. #2
    Join Date
    Mar 2007
    Posts
    1,181

    Re: plugins broken?

    Quote Originally Posted by DaveChappelle View Post
    I can't get any plugins to load/show up on the list except for the examples that Turbine put in.
    I've read and reread the directions on every plugin but that didn't help much.
    I'm mostly after buffbars/palantir plugins like that :/
    I just get...

    Available Plugins:
    #### CombatQuickslots (1.1)
    #### Examples (1.0)
    #### TheOneBag (1.0)
    #### Vitals (1.0)

    And
    Unable to load "manager".
    and same for the other stuff

    I'm probably missing something obvious but I can't see what
    Can anyone help please?
    Well, if you're not seeing the plugins in the list of available plugins then you have not extracted the files to the correct location. You have a Plugins folder in the path:
    "My Documents\The Lord of the Rings Online\Plugins". All plugins go in separate folders under that folder.

    When BuffBars is properly extracted, it's path is:
    "My Documents\The Lord of the Rings Online\Plugins\PengorosPlugins " - the PengorosPlugins folder will contain the BuffBars.plugin file and three subdirectories, "BuffBars", "UI", and "Utils".

    Once you have them showing in the list of available plugins, you have to be sure that you have any support files they require. You indicated that you already have the Turbine samples - hopefully you downloaded them since the update last November because they changed a few things which can cause plugins that depend on them to fail to load. Some plugins also depend on libraries that other authors have developed, so if the plugin generates an error like, "Unable to resolve package..." you need to go back to the original download page, re-read any installation instructions and find what file(s) the plugin depends on (many authors include all needed files to avoid this issue).
    Last edited by Garan; Jun 28 2011 at 02:24 PM.

  3. #3
    Join Date
    Dec 2010
    Location
    Hugging Gramsfoot 1-shots
    Posts
    768

    Re: plugins broken?

    Quote Originally Posted by Garan View Post
    Well, if you're not seeing the plugins in the list of available plugins then you have not extracted the files to the correct location. You have a Plugins folder in the path:
    "My Documents\The Lord of the Rings Online\Plugins". All plugins go in separate folders under that folder.

    When BuffBars is properly extracted, it's path is:
    "My Documents\The Lord of the Rings Online\Plugins\PengorosPlugins " - the PengorosPlugins folder will contain the BuffBars.plugin file and three subdirectories, "BuffBars", "UI", and "Utils".

    Once you have them showing in the list of available plugins, you have to be sure that you have any support files they require. You indicated that you already have the Turbine samples - hopefully you downloaded them since the update last November because they changed a few things which can cause plugins that depend on them to fail to load. Some plugins also depend on libraries that other authors have developed, so if the plugin generates an error like, "Unable to resolve package..." you need to go back to the original download page, re-read any installation instructions and find what file(s) the plugin depends on (many authors include all needed files to avoid this issue).
    Oh I see... I put the ''BuffBars-1.2.0'' under Plugins not the file inside... thx lol

  4. #4

    Re: plugins broken?

    Quote Originally Posted by DaveChappelle View Post
    Oh I see... I put the ''BuffBars-1.2.0'' under Plugins not the file inside... thx lol
    your folder structure should look something like this:
    Code:
    [-]Plugins/
             [-]DigitalUtopia/
                     [+]DUInterface/
                     [+]Palantir/
                     [+]Utilsx/
                     Palantir.plugin
             [-]PengorosPlugins/
                     [+]BuffBars/
                     [+]UI/
                     [+]Utils/
                     BuffBars.plugin
    [CENTER][IMG]http://i.imgur.com/wK9A7aa.png[/IMG]

    [SIZE=1][B][COLOR=white]75[/COLOR][/B] Fourohfour | [B][COLOR=white]75[/COLOR][/B] Artemedis | [COLOR=Blue][B]60[/B][/COLOR] Whiskeytango Foxtrot | [B][COLOR=#00ca00]50[/COLOR][/B] Mistah Boombastic | [B][COLOR=#00ca00]56[/COLOR][/B] Appetizer | [B][COLOR=#a7a7a7]25[/COLOR][/B] Aggromi | [B][COLOR=blue]61[/COLOR][/B] Onepointtwentyone Gigawatts [/SIZE] [/CENTER]

 

 

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

This form's session has expired. You need to reload the page.

Reload